Merge "Add oom upstream job and DR licenses"
diff --git a/jjb/dcaegen2/dcaegen2-services-pm-mapper-push-upstream-jobs.yaml b/jjb/dcaegen2/dcaegen2-services-pm-mapper-push-upstream-jobs.yaml
new file mode 100644
index 0000000..0f38096
--- /dev/null
+++ b/jjb/dcaegen2/dcaegen2-services-pm-mapper-push-upstream-jobs.yaml
@@ -0,0 +1,27 @@
+---
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+# this job gets triggered when push-upstream is commented on a change on Nordix Gerrit.
+- project:
+ name: dcaegen2-services-pm-mapper-push-upstream
+ project: dcaegen2/services/pm-mapper
+ project-name: dcaegen2-services-pm-mapper
+ branch: nordix-dev
+ jobs:
+ - '{project-name}-push-upstream'
diff --git a/jjb/dcaegen2/dcaegen2-services-pm-mapper-rebase-jobs.yaml b/jjb/dcaegen2/dcaegen2-services-pm-mapper-rebase-jobs.yaml
new file mode 100644
index 0000000..74f9393
--- /dev/null
+++ b/jjb/dcaegen2/dcaegen2-services-pm-mapper-rebase-jobs.yaml
@@ -0,0 +1,35 @@
+---
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+# this job gets triggered when a change is merged to
+# dcaegen2/services/pm-mapper project on ONAP Gerrit.
+- project:
+
+ name: pm-mapper-rebase
+
+ project: dcaegen2/services/pm-mapper
+
+ project-name: dcaegen2-services-pm-mapper
+
+ stream:
+ - master:
+ branch: '{stream}'
+
+ jobs:
+ - '{project-name}-{stream}-rebase'
diff --git a/jjb/dcaegen2/dcaegen2-services-pm-mapper-verify-jobs.yaml b/jjb/dcaegen2/dcaegen2-services-pm-mapper-verify-jobs.yaml
new file mode 100644
index 0000000..3f118ae
--- /dev/null
+++ b/jjb/dcaegen2/dcaegen2-services-pm-mapper-verify-jobs.yaml
@@ -0,0 +1,35 @@
+---
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+# this job gets triggered when a change is proposed to
+# dcaegen2/services/pm-mapper project on Nordix Gerrit.
+- project:
+
+ name: pm-mapper-verify
+
+ project: dcaegen2/services/pm-mapper
+
+ project-name: dcaegen2-services-pm-mapper
+
+ stream:
+ - nordix-dev:
+ branch: '{stream}'
+
+ jobs:
+ - '{project-name}-{stream}-verify-java'
diff --git a/jjb/global/push-upstream-jobs.sh b/jjb/global/push-upstream-jobs.sh
index 3eedac2..a1eeace 100755
--- a/jjb/global/push-upstream-jobs.sh
+++ b/jjb/global/push-upstream-jobs.sh
@@ -24,7 +24,6 @@
# - Author name in Nordix Gerrit equals LFID i.e. need to run "git config --global user.name <LFID>"
# - infra public key on build server needs to be added to your users SSH Public Keys in ONAP Gerrit
#
-set -o errexit
set -o nounset
set -o pipefail
@@ -46,22 +45,32 @@
git config user.name $username
echo "Checking out branch on master with new changes"
-git reset HEAD~1
+git reset HEAD~1 --soft
git checkout -b delivery_branch origin/master
-echo '[remote "upstream"]' >> $WORKSPACE/.git/config
-echo " url = ssh://$username@gerrit.onap.org:29418/$project.git" >> $WORKSPACE/.git/config
-echo " fetch = +refs/heads/*:refs/remotes/upstream/*" >> $WORKSPACE/.git/config
+git config --get remote.upstream.url
+retVal=$?
+
+if [[ $retVal -eq 0 ]]
+then
+ git remote rm upstream
+ git remote add upstream "ssh://$username@gerrit.onap.org:29418/$project.git"
+else
+ git remote add upstream "ssh://$username@gerrit.onap.org:29418/$project.git"
+fi
echo "Committing changes and pushing upstream"
git commit -as -m "$message"
git push upstream HEAD:refs/for/master
-retVal=$?
-if [[ $retVal -eq 0 ]]
+retVal1=$?
+if [[ $retVal1 -eq 0 ]]
then
echo "Push upstream to ONAP succeeded"
else
echo "Push upstream to ONAP failed"
exit 2
fi
+
+git checkout $BRANCH
+git branch -D delivery_branch
diff --git a/jjb/policy/policy-apex-pdp-push-upstream-jobs.yaml b/jjb/policy/policy-apex-pdp-push-upstream-jobs.yaml
index 09e7c1a..e12624b 100644
--- a/jjb/policy/policy-apex-pdp-push-upstream-jobs.yaml
+++ b/jjb/policy/policy-apex-pdp-push-upstream-jobs.yaml
@@ -4,6 +4,6 @@
name: policy-apex-pdp-push-upstream
project: policy/apex-pdp
project-name: policy-apex-pdp
- branch: nordix-dev
+ branch: master
jobs:
- '{project-name}-push-upstream'